Bug 1191694 - paranamer use old qdox library
Summary: paranamer use old qdox library
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: paranamer
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: gil cattaneo
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1266382
Blocks: 1119279 1239758
TreeView+ depends on / blocked
 
Reported: 2015-02-11 18:48 UTC by gil cattaneo
Modified: 2015-10-03 17:43 UTC (History)
1 user (show)

Fixed In Version: paranamer-2.8-1.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-10-03 17:43:06 UTC


Attachments (Terms of Use)
build.log (35.49 KB, text/plain)
2015-02-11 18:49 UTC, gil cattaneo
no flags Details
Support for Qdox 2.x (23.35 KB, patch)
2015-02-16 04:47 UTC, gil cattaneo
no flags Details | Diff
Support for Qdox 2.x (42.17 KB, patch)
2015-08-01 10:27 UTC, gil cattaneo
no flags Details | Diff

Description gil cattaneo 2015-02-11 18:48:40 UTC
Description of problem:
paranamer plugin fails
A required class was missing while executing com.thoughtworks.paranamer:paranamer-maven-plugin:2.4.1:generate: com/thoughtworks/qdox/JavaDocBuilder

Version-Release number of selected component (if applicable):


How reproducible:
always

Expected results:
Port to qdox 2 or upgrading

Additional info:
https://github.com/paul-hammant/paranamer/pull/16
https://github.com/rfscholte/paranamer/commit/10008d96578073352bde5d64af6c136a1af259fa
https://github.com/paul-hammant/paranamer/commit/fc5959c5865c99f0538dd7edd287e1e800a7d150

Comment 1 gil cattaneo 2015-02-11 18:49:22 UTC
Created attachment 990608 [details]
build.log

Comment 2 gil cattaneo 2015-02-11 18:52:42 UTC
new home page https://xircles.codehaus.org/p/paranamer

Comment 3 gil cattaneo 2015-02-16 04:47:30 UTC
Created attachment 992044 [details]
Support for Qdox 2.x

- Upstream release 2.7
- Support for Qdox 2.x
- Split maven plugin to subpackage RHBZ#1119279
- Introduce license macro

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=8946337

Comment 4 Jan Kurik 2015-07-15 14:34:13 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 5 gil cattaneo 2015-08-01 10:27:38 UTC
Created attachment 1058248 [details]
Support for Qdox 2.x

- Fix FTBFS RHBZ#1239758
- Split maven plugin to sub package RHBZ#1119279
- Support for Qdox 2.x RHBZ#1191694
- Support for ASM5
- Run test suite
- Use BR mvn()-like
- Fix URL field
- Introduce license macro
- Minor changes for adapt to current guideline

Task info: http://koji.fedoraproject.org/koji/taskinfo?taskID=10571540

Comment 6 Fedora Admin XMLRPC Client 2015-09-25 08:30:47 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 7 Fedora Update System 2015-09-25 09:41:12 UTC
paranamer-2.8-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-7c5f1ecf11

Comment 8 Fedora Update System 2015-09-27 00:55:56 UTC
paranamer-2.8-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update paranamer'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-7c5f1ecf11

Comment 9 Fedora Update System 2015-10-03 17:42:29 UTC
paranamer-2.8-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.